"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Live = exports.Default = void 0;
var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));
var _ = /*#__PURE__*/require(".");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var onFocus = function onFocus() {};
var onBlur = function onBlur() {};
var cDescription = /*#__PURE__*/_react["default"].createElement("div", null, "A general-purpose, procedural computer programming", ' ', /*#__PURE__*/_react["default"].createElement("a", {
  href: "https://en.wikipedia.org/wiki/C_(programming_language)"
}, "language"), ' ');
var langName = 'language';
var items = [{
  langName: langName,
  value: 'c',
  label: 'C',
  disabled: false,
  description: cDescription
}, {
  langName: langName,
  value: 'cpp',
  label: 'C++',
  disabled: false
}, {
  langName: langName,
  value: 'assembly',
  label: 'Assembly',
  disabled: false
}, {
  langName: langName,
  value: 'elixir',
  label: 'Elixir',
  disabled: true
}];
var func = function func() {};
var Live = exports.Live = function Live() {
  return items.map(function (item) {
    return /*#__PURE__*/_react["default"].createElement(_.Radiobox, {
      key: item.value,
      name: item.langName,
      value: item.value,
      label: item.label,
      disabled: item.disabled,
      checked: true,
      description: item.description,
      onChange: func,
      onFocus: onFocus,
      onBlur: onBlur
    });
  });
};
var defaultProps = {
  name: 'Radiobox',
  label: 'Label',
  description: 'Description',
  disabled: false,
  size: 'm'
};
var Default = exports.Default = function Default() {
  var name = defaultProps.name,
    label = defaultProps.label,
    description = defaultProps.description,
    disabled = defaultProps.disabled,
    size = defaultProps.size;
  return /*#__PURE__*/_react["default"].createElement(_.Radiobox, {
    name: name,
    value: 0,
    label: label,
    description: description,
    disabled: disabled,
    checked: true,
    size: size,
    onChange: func,
    onFocus: onFocus,
    onBlur: onBlur
  });
};