var _excluded = ["view", "status", "label", "caption", "placeholder", "helperText", "enumerationType", "chips", "onSearch", "onChangeChips"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { forwardRef } from 'react';
import { textFieldConfig, component, mergeConfig } from '@salutejs/plasma-new-hope/styled-components';
import { config } from './TextField.config';
var mergedConfig = /*#__PURE__*/mergeConfig(textFieldConfig, config);
var TextFieldComponent = /*#__PURE__*/component(mergedConfig);
var statusToView = {
  success: 'positive',
  warning: 'warning',
  error: 'negative'
};
var viewToLabelPlacement = {
  "default": 'outer',
  innerLabel: 'inner'
};

/**
 * Поле ввода текста.
 */
export var TextField = /*#__PURE__*/forwardRef(function (props, ref) {
  var view = props.view,
    status = props.status,
    label = props.label,
    caption = props.caption,
    placeholder = props.placeholder,
    helperText = props.helperText,
    enumerationType = props.enumerationType,
    chips = props.chips,
    onSearch = props.onSearch,
    onChangeChips = props.onChangeChips,
    rest = _objectWithoutProperties(props, _excluded);

  /** TODO: https://github.com/salute-developers/plasma/issues/1064 Remove In plasma-2.0 */
  /* eslint-disable no-underscore-dangle */
  var _view = status ? statusToView[status] : 'default';
  var _labelPlacement = view ? viewToLabelPlacement[view] : 'outer';
  var _label = label ? String(label) : caption;
  var _placeholder = placeholder;
  // NOTE: rest.size https://github.com/salute-developers/plasma/issues/961
  // if size is undefined <TextFieldComp size={size} /> would not use defaults
  if (rest.size === 'xs' && _labelPlacement === 'inner') {
    _placeholder = _label;
    _label = undefined;
    _labelPlacement = 'outer';
  }
  if (enumerationType === 'chip') {
    return /*#__PURE__*/React.createElement(TextFieldComponent, _extends({}, rest, {
      view: _view,
      labelPlacement: _labelPlacement,
      label: _label,
      placeholder: _placeholder,
      leftHelper: helperText,
      ref: ref,
      enumerationType: "chip",
      chips: chips,
      onChangeChips: onChangeChips
    }));
  }
  return /*#__PURE__*/React.createElement(TextFieldComponent, _extends({}, rest, {
    view: _view,
    labelPlacement: _labelPlacement,
    label: _label,
    placeholder: _placeholder,
    leftHelper: helperText,
    ref: ref,
    enumerationType: "plain",
    onSearch: onSearch
  }));
});